"Batch-Generate Previews" not for cycles
Closed, ResolvedPublic

Description

Windows 10

2.79

Batch Generate Previews does not work in cycles

File Menu>Data Previews>Batch Generate Previews

Details

Type
Bug
Bastien Montagne (mont29) triaged this task as Incomplete priority.Oct 30 2017, 1:04 PM

Please follow our submission template and guidelines, also read these tips about bug reports, and make a complete, valid bug report, with required info, precise description of the issue, precise steps to reproduce it, small and simple .blend and/or other files to do so if needed, etc.

It seems to work for me, so indeed need more precise information and a .blend.

Do you know what the problem could be on my computer and how to fix it?

We do not know what the problem is, which is why we will need more information if you want this problem to be fixed. That means:

  • Attach a .blend for which "Batch Generate Previews" fails.
  • Explain to use how it fail. Is there an error message? Does Blender crash or hang? Do the previews not show up for the .blend you selected? If so, where are you looking at the previews, using File > Append, using the Windows file browser, .. ?
  • Does it work when using Blender Render instead of Cycles?
  • Are you using CPU or GPU rendering, and if you are using GPU rendering, which GPU do you have?

There is no error message and blender does hang for a while but it does not crash.
I'm looking at the files in blender "File>Append>Object".
It works in blenders internal rendering engine/Blender Render but not in cycles.
I'm using CPU.

Brecht Van Lommel (brecht) raised the priority of this task from Incomplete to Confirmed.Nov 1 2017, 8:43 PM

I can confirm the preview for the object shows blank with this file.

Bastien Montagne (mont29) lowered the priority of this task from Confirmed to Incomplete.Nov 3 2017, 1:02 PM

Yeah, but once previews are batch-generated for that file here, it’s does shows as expected… So sorry, cannot reproduce the issue here.

@Brecht Van Lommel (brecht) did you actually try to batch-generate previews on that file, and then check if previews of object is there for you?

Brecht Van Lommel (brecht) claimed this task.

Ok, seems I can redo it with 2.79 but not latest master anymore. This file also has denoising, maybe it was related to that, we did some fix there in how the data is copied from Cycles to Blender. So I'll consider this resolved.

Well I don't know what it was but I tried it a few days ago and it works just fine, maybe it was the denoising.
Thank you for your help.